local awful = require("awful")

local _M = {}

function _M.get()
	local _T = {}

	local tags = {
		"󰎤 Terminal",
		"󰎧 Web",
		"󰎪 Code",
		"󰎭 Junk",
		"󰎱 Music",
		"󰎳 Chat",
	}

	local layouts = {
		RC.layouts[0],
		RC.layouts[1],
		RC.layouts[2],
		RC.layouts[3],
		RC.layouts[3],
		RC.layouts[3],
	}

	awful.screen.connect_for_each_screen(function(s)
		_T[s] = awful.tag(tags, s, layouts)
	end)

	return _T
end

return setmetatable({}, {
	__call = function(_, ...)
		return _M.get(...)
	end,
})
